curl -X POST https://api.llmgenerator.com/api/v1/auth/register \
-H "Content-Type: application/json" \
-d '{
"email": "user@example.com",
"password": "securePassword123!",
"firstName": "John",
"lastName": "Doe",
"company": "Acme Inc"
}'
const response = await fetch('https://api.llmgenerator.com/api/v1/auth/register', {
method: 'POST',
headers: {
'Content-Type': 'application/json'
},
body: JSON.stringify({
email: 'user@example.com',
password: 'securePassword123!',
firstName: 'John',
lastName: 'Doe'
})
});
const data = await response.json();
import requests
response = requests.post(
'https://api.llmgenerator.com/api/v1/auth/register',
json={
'email': 'user@example.com',
'password': 'securePassword123!',
'firstName': 'John',
'lastName': 'Doe'
}
)
data = response.json()
{
"success": true,
"message": "Account created successfully",
"user": {
"id": "550e8400-e29b-41d4-a716-446655440000",
"email": "user@example.com",
"name": "John Doe",
"emailVerified": false,
"createdAt": "2026-01-29T12:00:00.000Z"
},
"tokens": {
"accessToken": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...",
"refreshToken": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...",
"expiresIn": 900,
"tokenType": "Bearer"
}
}
{
"message": "Email already registered"
}
{
"message": "Weak password: Password must contain at least one uppercase letter, one number"
}
인증
계정 등록
신규 사용자가 계정을 등록할 수 있는 엔드포인트입니다.
curl -X POST https://api.llmgenerator.com/api/v1/auth/register \
-H "Content-Type: application/json" \
-d '{
"email": "user@example.com",
"password": "securePassword123!",
"firstName": "John",
"lastName": "Doe",
"company": "Acme Inc"
}'
const response = await fetch('https://api.llmgenerator.com/api/v1/auth/register', {
method: 'POST',
headers: {
'Content-Type': 'application/json'
},
body: JSON.stringify({
email: 'user@example.com',
password: 'securePassword123!',
firstName: 'John',
lastName: 'Doe'
})
});
const data = await response.json();
import requests
response = requests.post(
'https://api.llmgenerator.com/api/v1/auth/register',
json={
'email': 'user@example.com',
'password': 'securePassword123!',
'firstName': 'John',
'lastName': 'Doe'
}
)
data = response.json()
{
"success": true,
"message": "Account created successfully",
"user": {
"id": "550e8400-e29b-41d4-a716-446655440000",
"email": "user@example.com",
"name": "John Doe",
"emailVerified": false,
"createdAt": "2026-01-29T12:00:00.000Z"
},
"tokens": {
"accessToken": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...",
"refreshToken": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...",
"expiresIn": 900,
"tokenType": "Bearer"
}
}
{
"message": "Email already registered"
}
{
"message": "Weak password: Password must contain at least one uppercase letter, one number"
}
이 페이지가 도움이 되었나요?
⌘I